Bug 737179 - Need script to upgrade proxy configuration
Summary: Need script to upgrade proxy configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pki-core
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ade Lee
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 737192
TreeView+ depends on / blocked
 
Reported: 2011-09-09 19:40 UTC by Rob Crittenden
Modified: 2015-01-04 23:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 737192 (view as bug list)
Environment:
Last Closed: 2011-12-06 16:37:24 UTC


Attachments (Terms of Use)
Script to upgrade the Proxy for pki (15.34 KB, text/plain)
2011-09-28 16:29 UTC, Adam Young
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1655 normal SHIPPED_LIVE pki-core bug fix and enhancement update 2011-12-06 00:50:24 UTC

Description Rob Crittenden 2011-09-09 19:40:16 UTC
Description of problem:

We need a way to upgrade an existing IPA installation to the new AJP proxy code introduced in upstream IPA 2.1.1. This requires adding additional config to Apache, which we can do, but also updates to server.xml and CS.cfg in CS.

Version-Release number of selected component (if applicable):

pki-ca-9.0.3-18
ipa-2.1.1-1

Comment 2 Chandrasekar Kannan 2011-09-09 21:28:17 UTC
providing qa_ack. but the method to test is to upgrade from ipa bits in 6.1 to ipa bits in 6.2 - although we acknowledge that this type of upgrade isn't really a supported method.

Comment 3 Adam Young 2011-09-28 16:29:15 UTC
Created attachment 525363 [details]
Script to upgrade the Proxy  for pki

Script provided by Ade Lee.  It will run stand alone, although it has some code that will, prior to commit, get called from pkicommon  scripts instead.

Comment 4 Ade Lee 2011-10-03 21:22:02 UTC
Checked into 6.2:

[vakwetu@goofy-vm6 pki]$ svn ci -m "Resolves #737179 - Need script to upgrade proxy configuration, spec file and patch"
Adding         pki/patches/pki-core-9.0.3-r2249.patch
Sending        pki/specs/pki-core.spec
Transmitting file data ..
Committed revision 2250.

(and also version2249 for actual files .. )

Comment 6 Kashyap Chamarthy 2011-11-08 20:13:47 UTC
Namita Krishnan VERIFIED the procedure mentioned in comment #2 for a different bug -- https://bugzilla.redhat.com/show_bug.cgi?id=731804

Turning this bz to VERIFIED.

Comment 7 errata-xmlrpc 2011-12-06 16:37:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1655.html


Note You need to log in before you can comment on or make changes to this bug.